﻿init python:
    config.debug_sound = True

screen about:
    tag menu

    window:
        style "gm_root"

    frame:
        style "menu_frame"
        xmargin 10
        ymargin 10
        has side "t c r b"

        label "Out of the Night—Author's Notes" bottom_margin 10
        viewport id "vp":
            mousewheel True
            has vbox spacing 10

            text "Please don't read this till after you've read the story!"
            
            text "{b}Notes{/b}"
            
            text "The Twin Peaks Passion Play is semi-canonical—see {i}Welcome To Twin Peaks, the Access Guide.{/i} The timeline does not quite match up (April is the canonical month of the Passion Play, and I think that the series ends in mid-March)."
            
            text "Inspired by kinetic novels, motion comics, vidding, {i}La Jetée{/i} (dir. Chris Marker), and {i}Meshes of the Afternoon{/i} (dir. Maya Deren & Alexander Hammid)."
            
            text "This story, like {i}Twin Peaks{/i} itself, grabs symbolism from various traditions (particularly Tibetan Buddhism), takes Native American stereotypes rather too lightly, and depicts mental illness & disability in ways that are not always respectful. I have chosen to write a strict pastiche rather than to try to improve upon David Lynch's politics."
            
            text "{b}Credits{/b}"
            
            text "Coded in Ren'Py. Caps: LadyManson.com, InTwinPeaks.com, some original. Other images: Audrey’s imaginings of the White Lodge are works by the Berlin-based artists Elmgreen & Dragset: \"It’s The Small Things In Life that Really Matter, Blah, Blah Blah\" and \"Social Mobility (Staircase)\"; Sarah's room from {i}Labyrinth{/i} doubles for Audrey's room."
            
            text "Fonts: Anonymous Pro (as a default) and Blackout Two AM (for the Guardian's voice). They are both Free/Libre fonts under the Open Font License, and easily findable online."
            
            text "Sound: Main menu title is a cover of Julee Cruise's \"Into the Night\" by the band Great Pagans. You can download it at their BandCamp page (http://greatpagans.bandcamp.org), or support them through their label, Anti-Ghost Moon Ray (antighostmoonray.com). The Green Tara chant was downloaded from wildmind.org. Owl growl downloaded from learner.org. The other sounds are all from freesound.org: Audrey's dream is set to \"Hypnotic Heartbeat Atmosphere (Freqman Cliche Hypnotic)\" by hello_flowers. \"Wind\" by Black Boe. Red Room music is \"Blues for the Masses 06\" by Quilt. \"Rain Loop 01\" is by aesqe. \"Explosion\" is by sarge4267. The lyrics that Agent Cooper sings are from \"Crazy She Calls Me\", most famously recorded by Rod Stewart."

        vbar value YScrollValue("vp")
        textbutton "Return to menu":
            action Return()
            top_margin 10
            
init python:
    style.default.line_leading = 7

    style.ruby_style = Style(style.default)
    style.ruby_style.size = 10
    style.ruby_style.yoffset = -15

    style.default.ruby_style = style.ruby_style

label start:
    stop music fadeout 3
    
    scene bank phone
    
    "Poor Pete. He didn't deserve it. He was a nice man."

    scene bank audreylook
    
    "Nobody usually deserves it, though. Or, if you look at it another way, everybody deserves it."
    
    scene bank audreylooklaura
    with Dissolve(3.0)
    
    "Absolutely everybody."
    
    scene bank audreylooklocked

    "At least everybody who's dumb enough not to keep the key when they lock themselves to something.{p}See, that was a metaphor. I guess maybe I did learn something in high school after all."

    scene bank audreyphone
    
    "Really it was just luck that I decided I had to make a call at the crucial moment. I'd be dead if I had more commitment to the integrity of my protest."
    ah "Hello, the Gazette? —is this the news desk?"
    
    scene bank boom
    play sound "Explosion.mp3"
    
    "Boom."
    
    scene blackscreen
    with Fade(1, .5, 1)
    
    scene greatnorthern exterior
    with Fade(1, .5, 1)
    
    "It took a few weeks to recover from that. There was some time in the hospital. There was a funeral."
    
    scene office audreylookdown
    
    ah "Well, I guess that's it. Unless you can hear me. C'mon, Daddy, can you hear me? I can get a Ouija board if you want. Or tarot cards. Or a damn Scarlett O'Hara dress again."
    
    scene office audreylookdownclosed
    with dissolve
    
    "It was never going to work."
    
    scene office audreylookdown
    with dissolve
    
    "Oh, Mom wasn't going to be a problem. Or my uncle. Certainly not Johnny. Not the hotel staff either. And John Justice Wheeler was out of the picture. He didn't even come back to Twin Peaks for the funeral, the jackass."
    
    scene office
    
    "Mostly I was worried about whether I would be allowed to drop out of high school so close to graduation."
    
    show audrey profile at right
    with easeinright
    
    "Not that I expected anybody to understand that."
    
    dh "...Audrey?"
    
    show donna trusting at left
    with easeinleft
    
    dh "I hope you're doing okay. With the bomb and everything. That must have been really horrible."
    
    show audrey haughty at right
    with dissolve
    
    "Does she think I'm going to be her best friend now?"
    
    dh "I just wanted to tell you something. It didn't seem right to tell you at the funeral. We're half sisters."
    
    scene oldphoto
    
    "Yeah."
    #Maybe replace this with just a clickforward on image?
    
    scene office
    show donna up at left
    show audrey talking at right
    
    dh "...Well?"
    
    ah "What do you want me to say? Dad was a fine specimen of {i}Homo rattus bastardus{/i}—the common rat fink? Sure."
    
    dh "Aren't you angry? I was. I can't even look at my mom."
    
    ah "That's too bad. Did you feel the same way when you found out about my dad and Laura?"
    
    show donna down at left
    with dissolve
    
    ah "He bought her a pony once, y'know. She was his special little girl. He used to keep a picture of the two of us on his desk—he didn't even have one of just me."
    
    ah "You should've figured it out the moment he gave Laura that pony. If you weren't his daughter, he'd have been all over you."
    
    show donna profile at left
    with dissolve
    
    dh "You don't have to be so mean. I was just trying to tell you something you deserved to know. I thought we were friends—"
    
    show audrey profile at right
    with dissolve
    
    "Right."
    
    ah "Thanks, but Laura's dead and I'm not her."
    
    hide audrey
    with easeoutright
    hide donna
    with easeoutleft
    
    "What did she think was going to happen? I've had a long time to think about Daddy's foibles. It's not as though my mother is very excitingly sexy anyway.{p}Poor Donna. She didn't turn out like Daddy at all."
    
    scene greatnorthern hall
    
    "I went downstairs to check on room pickups before bed. Bobby Briggs was supposed to be learning the front desk business but he wasn't very good at it."
    
    scene greatnorthern clerk
    
    "Randy" "Everything's going well, Miss Horne. And the mirror in room two-oh-seven is fixed."
    
    show audrey profileleft at left
    with easeinleft
    
    ah "How's Bobby doing?"
    
    scene greatnorthern lobby2
    show audrey profile at right
    with easeinleft
    
    show catherine redneutral at left
    
    cm "Who cares?"
    
    cm "Audrey, I think we might be the only two people in this one-horse town that can truly understand each other. Women... Overshadowed by their idiotic relations... Who are now, thankfully, gone to their just rewards."
    
    show catherine redeyebrows at left
    
    cm "Don't you think it's time to bury the tomahawk?"
    
    show audrey bitchface at right
    with dissolve
    
    "Whenever I look at Mrs. Martell, I think of Jade on \"Invitation to Love.\"{p}But then, who's Emerald?"
    
    show audrey innocent at right
    with dissolve
    
    ah "I don't know, Mrs. Martell. When it comes to business decisions, I'm a babe in the woods. Maybe we could talk about it over some food. Lunch? Tomorrow?"
    
    show catherine redneutral at left
    
    cm "Lunch at the Great Northern. It's a date. Tell your mother hello."
    
    show audrey innocentsmile at right
    with dissolve
    
    ah "Ta ta!"
    
    scene greatnorthern audreysmile
    with dissolve
    
    "I used to save that smile for Daddy and other people who got in my way."
    
    scene greatnorthern lobby2
    
    "Meeting Mrs. Martell did a pretty good job of ruining my night. I usually know exactly what I want, but not this time. Did Ghostwood even matter with Daddy dead? Did it just hurt the Great Northern to block development?"
    
    scene greatnorthern lobby
    
    "I decided to sleep on it."
    
    play music "Hypnotic.ogg" fadein 1.0 fadeout 1.0
    
    scene bedroom audreysleeping
    with Fade(1, 1, 2)
    show dream diary
    with Fade(2, 1, 1)
    with None
    show dream skull
    with Dissolve(2.0)
    with None
    show dream road
    with Dissolve(2.0)
    with None
    show dream angel1
    with Dissolve(2.0)
    with None
    show dream angel2
    with Dissolve(2.0)
    with None
    show dream rape
    with dissolve
    with None
    show dream fan
    with dissolve
    with None
    show dream rapeBOB
    with dissolve
    with None
    show dream fan
    with dissolve
    with None
    show dream mirror1
    with dissolve
    with None
    show dream mirror2
    with dissolve
    with None
    show dream mirror3
    with dissolve
    with None
    show dream myna
    with Dissolve(2.0)
    with None
    show dream Ronette
    with Dissolve(4.0)
    with None
    show dream ring
    with Dissolve(2.0)
    with None
    show dream hand
    with Dissolve(4.0)
    with None
    show dream Leland
    with dissolve
    with None
    show dream BOB
    with dissolve
    with None
    show dream Dale
    with Dissolve(4.0)
    with None
    show dream diary2
    with Dissolve(2.0)
    
    "\"The good Dale is in the Lodge and he can't get out?\""
    
    stop music fadeout 1.0
    
    scene bedroom audreysleeping
    with Dissolve(2.0)
    show bedroom audreywaking
    with Dissolve(4.0)
    
    ah "Agent Cooper—!"
    
    scene bedroom audreywakeful
    with Dissolve(2.0)
    
    ah "I've got to read that diary."
    
    scene policestation ext
    with Fade(1, 1, 1)
    
    "Really cold for April. Probably no donuts, with Lucy Moran on maternity leave."
    
    scene policestation int
    with None
    show sheriff friendly at left
    with easeinleft
    
    st "Hello, Audrey. What can we do for you this morning?{p}I know I said it at the funeral, but I'm real sorry about your dad."
    
    show audrey innocent at right
    with easeinright
    
    ah "Thanks. I was wondering if I could read Laura Palmer's diary. If you still have it, I mean."
    
    show audrey innocentsmile at right
    with dissolve
    
    "Time for the smile again."
    
    show sheriff talking at left
    with dissolve
    
    st "Now why would you want to do that? That's evidence, Audrey, we can't just let people go reading it."
    
    show audrey talking at right
    with dissolve
    
    ah "Well, you know she used to take care of my brother. And he's having an awful time this morning. He's like a monkey at the zoo. He says she hid his peace pipe, and he won't stop shouting about it. So I thought maybe she wrote something..."
    
    show sheriff friendly at left
    show audrey innocent at right
    with dissolve
    
    st "I'll take a look in it for you. See if she said anything about a peace pipe."
    
    show audrey innocentsmile at right
    with dissolve
    
    "Then the radio squawked, and Deputy Hawk yelled in something about a ten-sixteen at the Gas Farm."
    
    st "Shoot. Audrey, get to school."
    
    hide sheriff
    with easeoutleft
    show audrey thinking at right
    with dissolve
    
    "They hotfooted it. So that solved that problem."
    
    scene policestation donuts
    
    "I was wrong about the donuts. Nothing can keep a Twin Peaks cop from his donuts—not wind nor rain nor childbirth nor dark of night."
    
    scene policestation office
    
    "Agent Cooper had all sorts of strange things on the walls. I was glad there weren't any crime scene photos, but I was also sort of sorry. It would have been interesting to see Laura dead."
    
    scene policestation diary
    
    "Bingo. The diary wasn't even in an evidence locker.{p}...Are there even evidence lockers in the Twin Peaks police station? Maybe that's just something on TV."
    
    scene dream diary2
    
    "I felt a little bad reading it, but only a little. Laura wasn't the kind of person who'd care what you did to her after she was dead. You could sort of classify people that way. I wouldn't care either. Donna Hayward would. Norma Jennings wouldn't. Shelly Johnson would."
    
    "People like to pretend that Laura would have cared. It makes them feel better."
    
    scene greatnorthern exterior
    
    "I didn't feel bad about taking the diary home from the police station, though. They figured out who killed her, they didn't need it anymore. I needed it."
    
    scene greatnorthern timberroom
    
    "I was back home when I really read through it."
    
    show audrey reading at right
    
    ah "\"The good Dale is in the Lodge.\""
    
    show audrey thinking at right
    
    "That wasn't true. Dale wasn't in some Lodge, he was in room 208 of the Great Northern, until the sale went through on Dead Dog Farm. He had to switch rooms because his mirror broke."
    
    "But I couldn't argue with the dream."
    
    show catherine slyleft at left
    with easeinleft
    
    cm "Hello, Audrey. You're looking lovely this morning. I hope you slept well."
    
    show audrey innocent at right
    with dissolve
    
    "She had already poured herself a cup of coffee from Trudy's station, the weasel."
    
    show audrey innocentsmile at right
    with dissolve
    
    ah "Sure did, Mrs. Martell. But you know, after sleeping on it, I don't think we have anything to talk about today."
    
    show catherine demureleft at left
    with dissolve
    
    cm "Oh, really? I don't think that's true. Even if you don't want to talk business, we could discuss your father. I knew him well. {i}Very{/i} well."
    
    show audrey bitchface at right
    with dissolve
    
    ah "A lot of ladies knew him very well, Mrs. Martell."
    
    show catherine directleft at left
    with dissolve
    
    cm "Not as well as I did. What do you think will happen when I tell everyone about your half-sister?"
    
    ah "Please. Everybody knows about that. Who cares? He's dead.{p}Look. If you ever loved him at all, even the teeny weensiest bit—you can't go forward with Ghostwood."
    
    show catherine demureleft at left
    with dissolve
    
    cm "The pine weasel is not nearly as adorable as you think.{p}I'll have a croque monsieur, when the girl comes back, by the way."
    
    show audrey thinking at right
    with dissolve
    
    ah "No you won't. Unless you want to talk about the real reason Ghostwood isn't a good idea. The reason those Norwegian investors pulled out in the first place."
    
    show catherine directleft at left
    with dissolve
    
    cm "If you think a few murders are enough to make me give up on Twin Peaks, you'd better think again. I outlived them all. I deserve the prize."
    
    cm "—No, don't get up. I can show myself out. This won't be the last time we have a chat."
    
    hide catherine
    with easeoutleft
    show audrey reading
    with dissolve
    
    "Why {i}did{/i} I suddenly decide I was really and truly against Ghostwood? Apart from the fact that it would be embarrassing to backtrack? I didn't know. It just seemed like the thing to do."
    
    "Anyway, I felt prickly all over when I talked with Catherine, like a cat pet the wrong way."
    
    show audrey thinking
    with dissolve
    
    "But what could I do? And what was the white lodge Laura wrote about?"
    
    scene waitingroom
    
    "A waiting room?"
    
    scene waitingroomtwo
    
    "A place you couldn't get out of?"
    
    scene greatnorthern lobby
    
    "I guess I wandered the Great Northern awhile thinking about it, because the next thing I knew—"
    
    show hawk steady at right
    with easeinright
    
    dth "Aren't you supposed to be in school, little lady?"
    
    show audrey innocentleft at left
    with easeinleft
    
    ah "Aren't you supposed to be at Big Ed's dealing with a ten-sixteen? What does ten-sixteen mean, anyway?"
    
    dth "None of your business. Your business is in the halls of Twin Peaks High School, cheering the Steeplejacks to victory."
    
    show audrey bitchfaceleft at left
    with dissolve
    
    ah "No. My {i}business{/i} is the Great Northern Hotel. My other business is Horne's Department Store. My other other business is Horne's Movie Theater. My {i}prison{/i} is the high school."
    
    show hawk thinking at right
    with dissolve
    
    dth "Speaking of prison, I was down at the station just a moment ago and I noticed that Laura Palmer's diary was missing. Now, you wouldn't know anything about that, would you?"
    
    show audrey innocentsmileleft at left
    with dissolve
    
    ah "Well, it might have fallen off a table."
    
    show hawk eyeroll at right
    with dissolve
    
    dth "Mm-hmm?"
    
    show audrey innocentleft at left
    show hawk steady at right
    with dissolve
    
    ah "...And into my purse."
    
    dth "Give it here, Audrey."
    
    show audrey readingleft at left
    with dissolve
    
    ah "Okay, but Hawk, you ought to know something. I had a dream last night. I dreamed I was Laura Palmer. And I saw something scary. I saw Agent Cooper."
    
    show audrey thinkingleft at left
    with dissolve
    
    "There's something about Deputy Hawk that invites confidences. Maybe he really is mystical. Maybe he really can see into your soul. Some kind of Indian mojo."
    
    show hawk thinking at right
    with dissolve
    
    dth "Meet me at the Bookhouse. Ten o'clock. Now I'll drive you to school."
    
    scene branches animated
    with Fade(1, 1, 1)
    
    play music "Wind.ogg" fadein 1 fadeout 1
    
    "The one nice thing about Daddy being dead was that there wasn't anybody to tell me to go to sleep or to stay in at night. Mom never cared to begin with."
    
    scene bookhouse
    
    stop music fadeout 1
    
    "Of course I knew where the Bookhouse was, but I'd never been in it. I guess there wasn't anything stopping me, but it just wasn't my kind of place."
    
    scene bookhouse books
    
    "It was full of all these nooks and crannies and it smelled old and mildewy."
    
    scene bookhouse bear
    
    "At first I didn't think anyone was there."
    
    scene bookhouse
    show biged bandagesteady at right
    with easeinright
    
    "But they were, all sitting behind the corners of bookshelves, just out of sight. Big Ed was there, whatever had happened at the Gas Farm. His head had a bandage on it, but he was drinking coffee and reading like nothing had happened all day."
    
    show james steadyleft at left
    with easeinleft
    
    "James Hurley was there too. We all knew he'd been living there since he came back from \"finding himself.\" He hadn't been to school either. I guess we could form the drop-outs club: him, me, and Shelly Johnson."
    
    show agentcooper hero
    with easeinleft
    
    "Even Agent Cooper was there. That surprised me."
    
    show agentcooper hero at offscreenleft
    hide james
    with easeoutleft
    
    be "Tell me about your dream."
    
    "So I did. I tried to tell it to them straight. It seemed important."
    
    show agentcooper neutralleft at left
    with easeinleft
    
    ac "Well, that's a very interesting story, Audrey. I'm sorry you had to see that. But we know who killed Laura, and the case is closed."
    
    ac "It sounds like maybe you ought to consider taking up a meditative practice of some kind. Or you could see Dr. Jacoby."
    
    show audrey innocent
    with easeinright
    
    ah "What do you mean? I'm not going crazy, am I?"
    
    show agentcooper smileleft at left
    with dissolve
    
    ac "Only as crazy as the rest of us. \"Crazy she calls me—sure, I'm crazy—crazy in love, I say!\""
    
    show audrey thinking
    with dissolve
    
    "I had never heard the song before. Agent Cooper sounded like Frank Sinatra or something. For a moment I felt weird and fluttery. Then I remembered John Justice Wheeler and felt ashamed of myself."
    
    show audrey thinkingleft
    show biged bandagestraight at right
    show agentcooper neutralleft at left
    with dissolve
    
    be "You're not going crazy. Agent Cooper just hasn't lived around here as long as the rest of us. He doesn't know the way things are."
    
    be "Audrey, there's something evil in those woods. If you're dreaming about it, that's bad. I don't want you going out there alone."
    
    show audrey haughtyleft
    with dissolve
    
    ah "I'm out in the woods now, aren't I?"
    
    show biged bandagesteady at right
    with dissolve
    
    be "I'll walk you home."
    
    show audrey innocentsmileleft
    with dissolve
    
    ah "Thanks, Mr. Hurley."
    
    hide biged
    with easeoutright
    hide agentcooper
    with easeoutleft
    show audrey thinking
    with dissolve
    
    "If you think I was going to leave it at that, you must be a real thickhead."
    
    scene branches animated
    
    play music "Wind.ogg" fadein 1.0 fadeout 1.0
    
    "The woods were lovely, dark and deep, just like that poem.{p}It was totally silent, except for twigs snapping under our feet. I love the noises that your feet make in the forest at night. They sound mulchy and real."
    
    "I like the sound of pumps tapping on a tile floor too, but Big Ed would look pretty funny wearing pumps."
    
    "We walked along for awhile. Then—"
    
    show audrey reading at right
    with easeinright
    
    ah "Do you think Agent Cooper's all right?"
    
    show biged bandagecockedleft at left
    with easeinleft
    
    "Big Ed was real quiet."
    
    be "I don't know, Audrey. He got Annie back all right, at least."
    
    show audrey profile at right
    with dissolve
    
    "Suddenly I wanted it to be daytime again. That wasn't what I'd hoped he would say."

    ah "What profit to gain the world if you lose your own soul, right?"
    
    show audrey reading at right
    with dissolve
    
    "Annie wasn't very worldly, of course. She wasn't very interesting at all. I hated the way she looked at people—at men. Even Shelly Johnson didn't look at men that way, like they were her natural protectors."
    
    show biged bandagestraightleft at left
    with dissolve
    
    be "That's pretty big talk."
    
    show audrey thinking at right
    with dissolve
    
    "That was when I knew that it was true. Something was wrong with Agent Cooper. The real Dale was in the lodge, whatever that meant."
    
    ah "I hadn't ever heard Agent Cooper sing before. I didn't know he had such a good voice."
    
    be "Yeah."
    
    ah "Hey, Ed?\nWhat happened to your face?"
    
    show biged bandagesteady at left
    with dissolve
    
    be "Nadine, that's what happened."
    
    ah "She hit you?"
    
    be "She isn't such a big fan of the Bookhouse boys, let's say. Doesn't want me hanging around them too much."
    
    ah "You ought to divorce her."
    
    show biged bandagestraightleft at left
    with dissolve
    
    be "Would you divorce your brother, if you could?"
    
    ah "That's different."
    
    scene audreysroom
    with Fade(1,1,1)
    
    stop music fadeout 1.0
    
    "I wanted to read Laura's diary again, but Deputy Hawk had taken it away. Instead, when we got back, I went to my room and thought hard about what was happening."
    
    "{i}Point one,{/i} there was something really wrong out in the woods."
    
    "{i}Point two{/i}, Big Ed and Deputy Hawk and the rest of the people who hung out in the Bookhouse knew about it."
    
    "{i}Point three,{/i} Big Ed thought that there was something wrong with Agent Cooper, but he wouldn't admit it."
    
    "{i}Point four,{/i} nobody else was going to take care of Twin Peaks.\n{i}Point five{/i}, I needed allies, and I knew where to start. First thing in the morning."
    
    scene diner sign
    with Fade(1, 1, 1)
    
    "I love a malted. Norma always gives me an extra cherry."
    
    scene diner
    show audrey innocentsmile at right
    with easeinright
    
    ah "Hiya, Norma."
    
    show norma smile at left
    with easeinleft
    
    nj "Aren't you supposed to be in school?"
    
    ah "Not really. I guess it's too early for ice cream, so I'll have some coffee. —Hey Shelly, when are you getting a break?"
    
    nj "Now, if she wants. It isn't very busy."
    
    hide norma
    with easeoutleft
    show shelly smile at left
    with easeinleft
    
    sj "What's going on, Audrey?"
    
    show audrey thinking at right
    with dissolve
    
    ah "You know the letter we all got?"
    
    show shelly neutral at left
    with dissolve

    sj "Yeah..."
    
    show audrey talking at right
    with dissolve
    
    ah "I think something's going on with that. I don't think it's really over."
    
    sj "They caught the guy, Audrey. He kidnapped Annie and they killed him.{p}Or he's permanently missing, anyway."
    
    show audrey innocent at right
    with dissolve
    
    ah "Did Annie tell you anything about what happened in the woods?"
    
    show shelly lookdown at left
    with dissolve
    
    sj "Yeah, a lot of crazy talk. Look, Leo died and Annie lived. That's all I want to know about it."
    
    ah "Leo died of fright, that's what the papers said—"
    
    show shelly frightened at left
    with dissolve
    
    sj "So he was afraid of spiders! So what? I don't want to talk about Leo. I had just about enough of Leo the past two years.{p}I ought to get back to work. I want to take my break later, not now."
    
    hide shelly
    with easeoutleft
    show audrey reading at right
    with dissolve
    
    "I guess I didn't really expect anything else from someone dumb enough to get married to Leo Johnson in the first place. Or someone dumb enough to go out with Bobby Briggs. But I really didn't expect what happened next."
    
    show annie torso at left
    with easeinleft
    
    a "...Audrey?"
    
    show audrey thinking at right
    with dissolve
    show annie lookup at left
    with dissolve
    
    a "I wasn't trying to overhear, but I couldn't help it. What you said about the letter. I think you're right. That we're still in danger."
    
    ah "Why do you think that?"
    
    a "Because whatever has been taking me out to the movies, it isn't Dale Cooper."
    
    show audrey innocent at right
    with dissolve
    
    ah "Why do you think {i}that{/i}?"
    
    show annie profile at left
    with dissolve
    
    a "At first I didn't want to believe it. But I remember all the things I saw where Windom Earle took me, the room with the red curtains and everything. The Dale Cooper that came in after me didn't come out. They aren't the same person."
    
    show annie lookup at left
    with dissolve
    
    a "I don't know if it's just that something happened to him in there, or—"
    
    show donna threequarters
    with easeinleft
    
    dh "Am I interrupting something?"
    
    show annie lookdown at left
    with dissolve
    show audrey talking at right
    with dissolve
    
    ah "No! Nothing."
    
    a "I was just going. I'll talk to you later, Audrey."
    
    show annie lookdown at offscreenleft
    show donna threequarters at left
    with easeoutleft
    
    dh "So. Why am I here?"
    
    "I didn't really want to talk to Donna, not when she'd interrupted Annie like that. But she was the person I'd really meant to meet here, after all."
    
    show donna up at left
    with dissolve
    
    dh "Because I'm going to be late for class. Some of us want to go to college, you know."
    
    show audrey innocent at right
    with dissolve
    
    ah "I'm sorry about the other day. I wasn't very kind..."
    
    dh "All right."
    
    show donna down at left
    with dissolve
    
    ah "...but I wanted to tell you that I think we're still in danger. You and me and Shelly and Annie."
    
    show donna up at left
    with dissolve
    
    dh "All right."
    
    show audrey thinking at right
    with dissolve
    
    "Donna didn't even care. Or maybe she just didn't want to listen to me. Whichever. Something bad was going to happen to her, and she probably deserved it."
    
    show donna threequarters at left
    with dissolve
    
    dh "I'm going to second period. If they ask where you are, I'm going to tell them."
    
    hide donna
    with easeoutleft
    show audrey reading at right
    with dissolve
    
    "But at least there was Annie.\nAnnie, who had gotten closer than anyone else to Agent Cooper.\nAnnie, who had seen whatever was out there in the woods."
    
    show deputyandy lookup at left
    with easeinleft
    
    da "Hey Norma. Hey Annie. Hey Audrey.{p}Hey! Audrey! Aren't you supposed to be in school?"
    
    show audrey thinking at right
    with dissolve
    
    ah "Study hall."
    
    da "Whatcha studying?"
    
    show audrey innocentsmile at right
    with dissolve
    
    ah "Human sexuality."
    
    show deputyandy lookdown at left
    with dissolve
    
    ##Fix Andy's dumb facial expressions
    
    da "That's a good topic. Hey Norma, do you know if Big Ed is feeling okay this morning?"
    
    show norma smile
    with easeinright
    #Flip Norma's smile
    
    nj "He hasn't been in."
    
    show deputyandy lookup at left
    with dissolve
    
    da "Well, because after that fight with Nadine last night, I thought maybe he'd be drowning his sorrows in a cup of joe. He really got walloped!"
    
    show norma blank 
    with dissolve
    
    "So that's what a ten-sixteen meant. Domestic violence.\nNorma wasn't doing too good a job hiding her feelings, but Deputy Andy's so thick he'd never notice."
    
    show norma smile
    with dissolve
    
    nj "Well, do {i}you{/i} want a cup of joe, Andy?"
    
    da "Shore do. Gotta keep my strength up today for the Passion Play."
    
    nj "The Passion Play's tonight?"
    
    show deputyandy lookdown at left
    with dissolve
    
    da "I'm not supposed to tell anyone, but I can tell you that I would like to order ten pies and a big coffee percolator to be set up outside Glastonberry Grove at 6:51 A.M. exactly tomorrow morning. Tables will be provided."
    
    hide deputyandy
    with easeoutleft
    hide norma
    with easeoutleft
    show audrey thinking at right
    with dissolve
    
    #Audrey needs a less dopey expression here
    
    "The Passion Play happens once every few years out in the woods. Last time I was thirteen and I was not invited or interested.\nThis time I felt differently about it."
    
    "Big Ed hadn't mentioned anything about the Passion Play. It was probably what he and Mrs. Hurley had been arguing about. That felt a lot like lying. By omission."
    
    show annie torso at left
    with easeinleft
    
    a "Do you want a warm-up?"
    
    show audrey innocent at right
    with dissolve
    
    ah "Shhh."
    
    da "...also, if you have any idea where I can get some chrysanthemums at this time of year, I'd love to hear it. I was supposed to call around last night, but Baby Andy was just so fussy!"
    
    show annie lookup at left
    with dissolve
    
    a "Why does he want chrysanthemums?"
    
    ah "The Passion Play. It's like the vigils the old knights used to hold. People spend all night out at Glastonberry Grove, and then the Guardian appears."
    
    a "The Guardian?"
    
    show audrey profile at right
    with dissolve
    
    ah "I don't know. I think they just mean Sheriff Truman. Then when dawn comes everyone has pie and coffee and goes home for breakfast."
    
    show annie lookdown at left
    with dissolve
    
    ##This should actually be her looking upset.
    
    "I could tell that Annie didn't like the sound of it."
    
    show annie profile at left
    with dissolve
    
    a "Are you going to go? Is it the kind of thing you can go to?"
    
    show audrey innocent at right
    with dissolve
    
    ah "Sure, I guess. Hey, do you think it will have something to do with Agent Cooper?"
    
    a "I think so."
    
    show annie lookup at left
    with dissolve
    
    a "I'll come by the Great Northern when I get off work tonight. Try and find out about the Passion Play, all right? Just don't ask Dale about it."
    
    hide annie
    with easeoutleft
    show audrey reading at right
    with dissolve
    
    "I couldn't have asked him, anyway, because he would have marched me right back to school. I did have one idea of who could tell me about what was going on, though."
    
    scene gasfarm extlong
    with Fade(1, 1, 1)
    
    jh "I don't know what you're talking about."
    
    show gasfarm extshort
    show james steadyleft at left
    show audrey innocent at right
    
    ah "Come on, I know you're not as dumb as you look."
    
    jh "I think I am. Just that dumb."
    
    show audrey talking at right
    with dissolve
    
    ah "Dumb or smart, you spend too much time in the Bookhouse not to know.{p}Come on, everyone knows that the Bookhouse boys organize the Passion Play."
    
    show james worriedleft at left
    with dissolve
    
    jh "It's a secret society. That means actually secret from you."
    
    show audrey thinking at right
    with dissolve
    
    ah "No it doesn't."
    
    jh "What do you want to know, anyway?"
    
    show audrey haughty at right
    with dissolve
    
    ah "When it starts, who's going to be there, who the Guardian is, what happens exactly..."
    
    show james steadyleft at left
    
    jh "I'm not going to tell you all that.{p}But people are going to start showing up around seven. The vigil starts when night comes, but the Guardian won't come till morning."
    
    show audrey innocentsmile at right
    with dissolve
    
    ah "Thanks, James, you're a star."
    
    jh "Look, just tell your chauffeur that I'm working again, okay? He wouldn't bring the car to Uncle Ed when I was gone."
    
    ah "Sure thing."
    
    scene audreysroom
    with Fade(1, 1, 1)
    
    "So when Annie came by that afternoon, I was able to tell her at least a little more about what was going to happen. Everyone in the Bookhouse crowd would be there, and the real action would happen around dawn. And Agent Cooper had already gone out, dressed for cold weather—or for staying out all night."
    
    show annie casual talking at left
    with easeinleft
    show audrey profile at right
    with easeinright
    
    a "We're going to have to do something drastic.{p}We're going to have to search Dale's room."
    
    show audrey innocent at right
    with dissolve
    
    ah "Weren't you a nun?"
    
    a "Yes. So?"
    
    show audrey innocentsmile at right
    with dissolve
    
    ah "Isn't that both illegal and immoral?"
    
    a "I'm exclaustrated.{p}That means I'm trying to decide if I really do want to be a nun. Well, I've decided, but I'm supposed to give it some time anyway."
    
    show annie casual smile at left
    with dissolve
    
    a "Anyway, that's the best thing about Catholicism. You sin, you confess, you go forth and sin some more."
    
    show audrey laughing at right
    with dissolve
    
    ah "Now that's a religion I can get behind.{p}And I know just how we can get into the room to search it without anybody seeing us."
    
    scene greatnorthern passageone
    
    a "You don't ever just watch people from back here, do you?"
    
    ah "Not since I was a little kid. I got scared the first time I saw someone having sex and told Daddy to call the cops."
    
    scene greatnorthern passagetwo
    
    a "How did that go down?"
    
    ah "Like a lead balloon. But he couldn't exactly close the passages up—he used them too."
    
    scene greatnorthern passagethree
    
    "Annie was not really like a nun at all.{p}Not that I had ever met another nun."
    
    scene greatnorthern dalesroom
    
    ah "Here. Room 208."
    
    show annie casual talking at left
    with easeinleft
    
    a "He keeps his papers in the drawer of the bedside table.{p}That's weird. The handle's come off."
    
    show audrey profile at right
    with easeinright
    
    ah "It was on when he moved in. We only switched him to this room because the mirror in the other one broke. Huh."
    
    show annie casual worried at left
    with dissolve
    
    a "Look at this..."
    
    scene greatnorthern dalesroom recorder
    
    ah "He's always talking to that thing."
    
    a "Do you think...?"
    
    scene greatnorthern dalesroom
    show dalesrecorder at left
    with easeinleft
    
    "The tape was set to a blank spot. We rewound it to the beginning and sat on the bed to listen. I let Annie push play."
    
    ac "Diane. It's... March, I think. Yes. March.{p}I feel very strange, like I'm far away from my body. Sometimes, my arms begin to shake. I don't remember—"
    
    show audrey talking at right
    with easeinright
    
    ah "What's happening? Why did he stop?"
    
    ##I need a better "concerned" Audrey face.
    
    a "Shh!"
    
    show audrey talking at offscreenright
    with easeoutright
    
    "But then the voice changed. I mean really changed. It didn't sound like Agent Cooper anymore, the spaces between his words were different."
    
    ac "Ah, get out of here. Recording again!{p}Diane, something is happening to me. I think my soul has come unmoored from my body. I cannot remember where it goes or what takes its place when I—"
    
    "Another frightening silence."
    
    ac "Diane, if you ever get this, tell Sheriff Harry Truman not under any circumstances to go near Glastonberry Grove. The passageway is still open."
    
    show annie casual worriedright at right
    with easeinright
    
    a "But it closed behind me!"
    ##Need a better freaked out Annie
    
    show annie casual worriedright at offscreenright
    with easeoutright
    
    ac "Diane, I don't think the spirit will ever let me fully possess—"
    
    "Another silence."
    
    ac "Nobody should go near Glastonberry, Diane. I believe my body is now in the possession of a dugpa's spirit. If that is true then the door is wedged open. It's open."
    
    "This time the silence was very long, like he had left it running. Eventually the not-Cooper voice came back on."
    
    ac "This."
    
    "Then it clicked off. Then Cooper again."
    
    ac "I remember where I am now, Diane. The Guardian has to come."
    
    "That was the last thing on the tape."
    
    hide dalesrecorder
    with easeoutleft
    show annie casual doubtful at left
    with easeinright
    
    a "The Guardian. That's the thing at the Passion Play."
    
    show audrey thinking at right
    with easeinright
    
    ah "But it's only Sheriff Truman. Daddy said so, last time."
    
    a "Did your father believe in dugpas?"
    
    show audrey reading at right
    with dissolve
    
    ah "I don't know what dugpas are. I don't think he did either. But before he died he was getting very spiritual. Reading the Dao De Ching and so on."
    
    show annie casual talking at left
    with dissolve
    
    a "I think people who are about to die, even if they don't know it yet, have access to things we don't.{p}...that sounds a little woo-woo when I say it out loud."
    
    scene owl
    with vpunch
    play sound "Owl.mp3"
    scene greatnorthern dalesroom
    show audrey profile at right
    show annie casual worried at left
    with dissolve
    
    ah "What was that?"
    
    a "Not just an owl. It's starting. Let's get out of here."
    
    scene stoplight red
    with Fade(1,1,1)
    
    play music "Wind.ogg" fadein 1.0
  
    "Annie drove like she was playing a very difficult video game."
    
    scene stoplight green
    with dissolve
    
    "When she turned the wheel she always kept her hands exactly at ten and two."
    
    scene street
    with dissolve
    
    "But she knew right where it was."
    
    scene glastonberrygrove empty
    with Fade(1,1,3)
    
    "Our flashlights couldn't quite illuminate the people standing behind the trees, but we saw what they were carrying: chrysanthemum, chalice, crucifix. We knew they were the Bookhouse boys."
    
    ##Show the hooded figures or at least the chyrsanthemums, chalice, crucifix?
    
    ah "Ew, that smell—"
    
    a "Engine oil."
    
    scene glastonberrygrove oil
    with dissolve
    
    a "No. No. Oh no. We should not have come."
    
    scene bob animated
    with None
    
    ah "Who is that?"
    
    a "BOB—!"
    
    ah "I don't know who you are, but you're scaring my friend. You shouldn't be here. This is for Twin Peaks people. Come on! Sheriff Truman—?"
    
    ah "Get out of here!"
    
    scene redroom
    with Fade(1, 2, 1, color="#fff")
    
    play music "RedRoomBlues.ogg" fadeout 1.0 fadein 1.0
    
    ah "Annie?"
    
    scene redroom mfap
    
    mfap "{rb}Dluow{/rb}{rt}Would{/rt} {rb}uoy{/rb}{rt}you{/rt} {rb}ekil{/rb}{rt}like{/rt} {rb}emos{/rb}{rt}some{/rt} {rb}eeffoc?{/rb}{rt}coffee?{/rt}"
    
    ah "No. Where's Annie?"
    
    scene redroom mfap hand
    with dissolve
    
    mfap "{rb}Taht{/rb}{rt}That{/rt} {rb}si{/rb}{rt}is{/rt} {rb}a{/rb}{rt}a{/rt} {rb}noitseuq{/rb}{rt}question{/rt} {rb}rof{/rb}{rt}for{/rt} {rb}eht{/rb}{rt}the{/rt} {rb}sega.{/rb}{rt}ages.{/rt}"
    
    scene redroom venus
    
    ah "Why is the Venus de Milo here?"
    
    scene redroom floor
    
    ah "Why is the floor black and white, and why are the walls just red curtains? Why do you talk so funny?"
    
    scene redroom
    
    ah "Where did you go?{p}Anyone?"
    
    scene redroom cooper1
    with dissolve
    
    ac "{rb}Uoy{/rb}{rt}You{/rt} {rb}t'ndluohs{/rb}{rt}shouldn't{/rt} {rb}evah{/rb}{rt}have{/rt} {rb}emoc{/rb}{rt}come{/rt} {rb}ereh,{/rb}{rt}here,{/rt} {rb}Yerdua.{/rb}{rt}Audrey.{/rt}"
    
    ah "Agent Cooper?"
    
    scene redroom cooper2
    with dissolve
    
    ac "{rb}Sey.{/rb}{rt}Yes.{/rt} {rb}Ton{/rb}{rt}Not{/rt} {rb}Bob.{/rb}{rt}Bob.{/rt} {rb}Ton{/rb}{rt}Not{/rt} {rb}ereh.{/rb}{rt}here.{/rt}"
    
    ah "You're speaking backwards. That's what it is, you're speaking backwards!"
    
    ac "{rb}Uoy{/rb}{rt}You{/rt} {rb}era{/rb}{rt}are{/rt} {rb}oot.{/rb}{rt}too.{/rt}"
    
    ah "No, I'm not!"
    
    "But he just nodded. He held up a little piece of wood. At first I thought it was a marble. Then—"
    
    scene redroom josie one
    
    ac "{rb}Uoy{/rb}{rt}You{/rt} {rb}t'nera{/rb}{rt}aren't{/rt} {rb}a{/rb}{rt}a{/rt} {rb}rekoj{/rb}{rt}joker.{/rt} {rb}Er'uoy{/rb}{rt}You're{/rt} {rb}a{/rb}{rt}a{/rt} {rb}neeuq.{/rb}{rt}queen.{/rt} {rb}Eisoj{/rb}{rt}Josie{/rt} {rb}Drakcap{/rb}{rt}Packard{/rt} {rb}si{/rb}{rt}is{/rt} {rb}a{/rb}{rt}a{/rt} {rb}nekat{/rb}{rt}taken{/rt} {rb}nwap.{/rb}{rt}pawn.{/rt}"
    
    scene redroom josie two
    with dissolve
    
    ah "You mean the queens—and the poem, from Windom Earle? You're mixing up cards and chess."
    
    scene redroom cooper2
    
    ac "{rb}Lla{/rb}{rt}All{/rt} {rb}sgniht{/rb}{rt}things{/rt} {rb}yb{/rb}{rt}by{/rt} {rb}a{/rb}{rt}a{/rt} {rb}wal{/rb}{rt}law{/rt} {rb}enivid,{/rb}{rt}divine,{/rt} {rb}teews{/rb}{rt}sweet{/rt} {rb}Enilorac.{/rb}{rt}Caroline.{/rt}"
    
    ah "Who's Caroline?"
    
    scene redroom anniedoppelganger
    
    ac "{rb}Einna!{/rb}{rt}Annie!{/rt}"
    
    ah "Agent Cooper, I don't think that's Annie. I don't think she's here at all. I think it's just you and me."
    
    scene redroom mfap
    
    mfap "{rb}Dna{/rb}{rt}And{/rt} {rb}em{/rb}{rt}me{/rt} {rb}si{/rb}{rt}is{/rt} {rb}eerht!{/rb}{rt}three!{/rt}\n{rb}Uoy{/rb}{rt}You{/rt} {rb}tonnac{/rb}{rt}cannot{/rt} {rb}save{/rb}{rt}evas{/rt} {rb}mih,{/rb}{rt}him,{/rt} {rb}uoy{/rb}{rt}you{/rt} {rb}wonk.{/rb}{rt}know.{/rt}"
    
    ah "I don't know any such thing."
    
    "I closed my eyes and I thought really, really hard about getting out of there."
    
    "Then I grabbed Agent Cooper's hand and ran right into those red curtains."
    
    scene glastonberrygrove empty
    with Fade(1, 2, 1, color="#fff")
    
    play music "GreenTaraMantra.mp3" fadeout 1.0 fadein 1.0
    
    hm "OM TARE TUTTARE TURE SVAHA."
    
    "The people behind the trees were chanting. I didn't know what they were saying. Agent Cooper had come with me, but he was on the ground."
    
    scene glastonberrygrove cooperdown
    
    ah "Agent Cooper? —Agent Cooper! Come on, won't somebody help me?! I don't think he's breathing!"
    
    "Annie ran to him and we both pounded on his chest like crazy, trying to get him to wake up. I {i}knew{/i} that Big Ed and the Sheriff and Deputy Hawk were out there chanting, OM TARE TUTTARE TURE SVAHA, and not doing anything, and it made me furious."
    
    #Shot of Audrey angry
    
    ah "You lousy jerks! You're just going to let him {i}die!{/i}"
    
    scene glastonberrygrove killerbobclose
    
    BOB "The angels won't help you. They've all gone away. They might come back some windy day..."
    
    scene glastonberrygrove annieworried
    
    "Annie stood up straight and looked at him. I don't think I could have done it."
    
    a "No.{p}That isn't true. Angels don't go away."
    
    BOB "What... does... it... mean?"
    
    scene glastonberrygrove annietriumphant
    
    a "You're lying. You can't do anything to me unless I let you. I'm protected. Maybe by God, or maybe just by being stubborn."
    
    show nadine scream
    with hpunch
    
    nh "ED!"
    
    scene glastonberrygrove empty
    
    "And Mrs. Hurley came barrelling out of the blackness behind us, vaulted over Agent Cooper's legs, and tackled them, Annie and BOB both, right into the pool of motor oil. They were gone."
    
    scene glastonberrygrove cooperdown
    
    ah "Agent Cooper, can you hear me?"
    
    ac "Watch out."
    
    play music "Wind.ogg" fadein 2 fadeout 2
    
    scene glastonberrygrove guardian
    
    "And then the world cracked open and the Guardian came. She looked strangely familiar."
    
    g "i cannot hold bob back forever"
    
    ah "Mrs. Hurley—? {i}Annie?{/i}"
    
    g "i am not here for long\nit will be a beautiful morning"
    
    ac "Greetings."
    
    g "your body and soul are reunited, agent cooper"
    
    ac "I'm very grateful for that."
    
    g "you must not leave twin peaks\nbob will return\nyou block him"
    
    ac "The plug in a cosmic drain?"
    
    g "yes{p}i go now. eat your pie and drink your coffee"
    
    scene glastonberrygrove guardiannadine
    
    stop music fadeout 1.0
    
    "The strange light faded. It was sunrise in the forest. And it was not the Guardian anymore."
    
    a "I'm here.{p}But then where's Mrs. Hurley?"
    
    ah "You are."
    
    a "No, I'm Annie—!"
    
    scene diner sign
    with Fade(1,3,1)
    
    "At first, it was strange to see Nadine Hurley working alongside Norma at the diner. After awhile you sort of got used to it, though."
    
    scene diner
    
    "The one person who never got used to it was Annie. She couldn't get over looking in the mirror and seeing Nadine's face instead of her own."
    
    show nadine neutral at left
    with easeinleft
    
    a "The convent didn't have big mirrors. I really am going to go back."
    
    show audrey innocent at right
    with easeinright
    
    ah "But what about, you know, Agent Cooper?"
    
    a "I can't be responsible for him. I have to take care of myself. You can't be responsible for him, either, Audrey, so don't try."
    
    scene diner norma
    
    "Once Annie-or-Nadine was gone, I thought that Big Ed and Norma would get together for sure, but they haven't. I'm beginning to think that they like being star-crossed lovers more than they like each other."
    
    scene gasfarm extlong
    
    "One day they got into a fight about it and Ed took off on James's motorcycle. James is running the Gas Farm now. Who knows when Ed'll be back."
    
    scene twinpeaks
    
    "A few days later I found out I was pregnant. Obviously, the daddy is John Justice Wheeler. I haven't decided what to do about it yet. He hasn't come back to Twin Peaks. That's because I haven't told him. I don't know."
    
    scene twinpeaks school
    
    "Agent Cooper says that the whole town will support me in whatever I choose, but I know that isn't really true. Catherine Martell still wants to develop Ghostwood. Donna's still angry with me and everybody and she'll tell everyone from high school all about it. I don't know. I guess I don't have to pick anytime soon."
    
    scene twinpeaks sign
    
    "I had this fantasy that I'd save Agent Cooper the way he saved me, and then he'd just shove Annie aside and we'd fall into each other's arms and go dancing every night. But life isn't really like {i}Invitation to Love.{/i}"
    
    scene twinpeaks owl
    
    "Sometimes I wonder where Nadine's soul is. Agent Cooper says she must be in that Other Place, but sometimes I think I can hear her screaming about her drape runners, when the owls screech in the forest."
    
    scene twinpeaks vista
    
    "It feels like all the strangeness has gone out of Twin Peaks. She has to be somewhere out there."
    
    scene branches animated
    play music "Wind.ogg" fadein 1.0
    
    "Somewhere, where there's always music in the air."
    
    return
